# Copyright 2004 Tom Rothamel <tom-renpy@onegeek.org>
# 
# Permission is hereby granted, free of charge, to any person
# obtaining a copy of this software and associated documentation files
# (the "Software"), to deal in the Software without restriction,
# including without limitation the rights to use, copy, modify, merge,
# publish, distribute, sublicense, and/or sell copies of the Software,
# and to permit persons to whom the Software is furnished to do so,
# subject to the following conditions:
# 
# The above copyright notice and this permission notice shall be
# included in all copies or substantial portions of the Software.
# 
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
# EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
# MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
# NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE
# LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION
# OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
# WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

import os
import os.path

distlist = []

def add(fn):
    distlist.append(fn)

def copy(from_, to):

    ff = file(from_, "rb")
    tf = file(to, "wb")

    tf.write(ff.read())

    ff.close()
    tf.close()

    os.chmod(to, os.stat(from_).st_mode)

def dist(name):

    moddir = os.listdir("renpy")
    distlist.extend([ "renpy/" + i for i in moddir if i.endswith(".py") ])

    try:
        os.makedirs("dist/" + name, mode=0777)
    except:
        pass

    for i in distlist:
        try:
            os.makedirs("dist/" + name + "/" + os.path.dirname(i), mode=0777)
        except:
            pass
        
        copy(i, "dist/" + name + "/" + i)

        print i
        
    
